<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Player</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Player";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/player/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.player</div>
<h2 title="Class Player" class="title">Class Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.player.Player</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Player</span>
extends java.lang.Object</pre>
<div class="block">A class which represents a player or any other character in the game</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#equipedWeapon1">equipedWeapon1</a></span></code>
<div class="block">the first equipped weapon.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#equipedWeapon2">equipedWeapon2</a></span></code>
<div class="block">the second equipped weapon.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#inventory">inventory</a></span></code>
<div class="block">The inventory of the player</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#life">life</a></span></code>
<div class="block">how many lifes the player currently has</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#maxLife">maxLife</a></span></code>
<div class="block">How many lifes the player can have</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#name">name</a></span></code>
<div class="block">The name of the player</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#Player-java.lang.String-int-int-int-">Player</a></span>(java.lang.String&nbsp;name,
      int&nbsp;life,
      int&nbsp;maxLife,
      int&nbsp;inventorySlots)</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getEquipedWeapon1--">getEquipedWeapon1</a></span>()</code>
<div class="block">Returns the equipped weapon in the first slot</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getEquipedWeapon2--">getEquipedWeapon2</a></span>()</code>
<div class="block">Returns the equipped weapon in the second slot</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getInventory--">getInventory</a></span>()</code>
<div class="block">Returns the inventory of the player</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getLife--">getLife</a></span>()</code>
<div class="block">Returns how many lifes the player currently has</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getMaxLife--">getMaxLife</a></span>()</code>
<div class="block">Returns the maximal amount of life the player can have</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#getName--">getName</a></span>()</code>
<div class="block">Returns the name of the player</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#incrementLife-int-">incrementLife</a></span>(int&nbsp;by)</code>
<div class="block">Increments the lifes of the player by the given amount.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#isDead--">isDead</a></span>()</code>
<div class="block">If the player is dead or not or
 if the player's life are greate than zero</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#setEquipedWeapon1-ch.sebi.zuul.logic.items.Weapon-">setEquipedWeapon1</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;equipedWeapon1)</code>
<div class="block">Sets the equipped weapon in the first slot</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#setEquipedWeapon2-ch.sebi.zuul.logic.items.Weapon-">setEquipedWeapon2</a></span>(<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;equipedWeapon2)</code>
<div class="block">Sets the equipped weapon in the second slot</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/player/Player.html#setLife-int-">setLife</a></span>(int&nbsp;life)</code>
<div class="block">Sets how many lifes the player has</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>private&nbsp;java.lang.String name</pre>
<div class="block">The name of the player</div>
</li>
</ul>
<a name="life">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>life</h4>
<pre>private&nbsp;int life</pre>
<div class="block">how many lifes the player currently has</div>
</li>
</ul>
<a name="maxLife">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxLife</h4>
<pre>private&nbsp;int maxLife</pre>
<div class="block">How many lifes the player can have</div>
</li>
</ul>
<a name="inventory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inventory</h4>
<pre>private&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a> inventory</pre>
<div class="block">The inventory of the player</div>
</li>
</ul>
<a name="equipedWeapon1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equipedWeapon1</h4>
<pre>private&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a> equipedWeapon1</pre>
<div class="block">the first equipped weapon. If it is null, nothing is equipped</div>
</li>
</ul>
<a name="equipedWeapon2">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equipedWeapon2</h4>
<pre>private&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a> equipedWeapon2</pre>
<div class="block">the second equipped weapon. If it is null, nothing is equipped</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Player-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.lang.String&nbsp;name,
              int&nbsp;life,
              int&nbsp;maxLife,
              int&nbsp;inventorySlots)</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the player</dd>
<dd><code>life</code> - how many lifes the player currently has</dd>
<dd><code>maxLife</code> - how many lifes the player can have</dd>
<dd><code>inventorySlots</code> - how many inventory slots the player should have</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Returns the name of the player</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</li>
</ul>
<a name="getLife--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLife</h4>
<pre>public&nbsp;int&nbsp;getLife()</pre>
<div class="block">Returns how many lifes the player currently has</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the lifes</dd>
</dl>
</li>
</ul>
<a name="setLife-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLife</h4>
<pre>public&nbsp;void&nbsp;setLife(int&nbsp;life)</pre>
<div class="block">Sets how many lifes the player has</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>life</code> - the lifes of the player</dd>
</dl>
</li>
</ul>
<a name="incrementLife-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>incrementLife</h4>
<pre>public&nbsp;void&nbsp;incrementLife(int&nbsp;by)</pre>
<div class="block">Increments the lifes of the player by the given amount.
 If the life is greater than the <a href="../../../../../ch/sebi/zuul/logic/player/Player.html#maxLife"><code>maxLife</code></a> then the life is set to max life.
 If the life is smaller than zero then the life is set to zero</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>by</code> - by how much the life is increast (or decreased if it is negative</dd>
</dl>
</li>
</ul>
<a name="getMaxLife--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxLife</h4>
<pre>public&nbsp;int&nbsp;getMaxLife()</pre>
<div class="block">Returns the maximal amount of life the player can have</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the max life</dd>
</dl>
</li>
</ul>
<a name="isDead--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDead</h4>
<pre>public&nbsp;boolean&nbsp;isDead()</pre>
<div class="block">If the player is dead or not or
 if the player's life are greate than zero</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if the player is dead or not</dd>
</dl>
</li>
</ul>
<a name="getInventory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInventory</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a>&nbsp;getInventory()</pre>
<div class="block">Returns the inventory of the player</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the inventory</dd>
</dl>
</li>
</ul>
<a name="getEquipedWeapon1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEquipedWeapon1</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;getEquipedWeapon1()</pre>
<div class="block">Returns the equipped weapon in the first slot</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the weapon</dd>
</dl>
</li>
</ul>
<a name="setEquipedWeapon1-ch.sebi.zuul.logic.items.Weapon-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEquipedWeapon1</h4>
<pre>public&nbsp;void&nbsp;setEquipedWeapon1(<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;equipedWeapon1)</pre>
<div class="block">Sets the equipped weapon in the first slot</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>equipedWeapon1</code> - the weapon</dd>
</dl>
</li>
</ul>
<a name="getEquipedWeapon2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEquipedWeapon2</h4>
<pre>public&nbsp;<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;getEquipedWeapon2()</pre>
<div class="block">Returns the equipped weapon in the second slot</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the weapon</dd>
</dl>
</li>
</ul>
<a name="setEquipedWeapon2-ch.sebi.zuul.logic.items.Weapon-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setEquipedWeapon2</h4>
<pre>public&nbsp;void&nbsp;setEquipedWeapon2(<a href="../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a>&nbsp;equipedWeapon2)</pre>
<div class="block">Sets the equipped weapon in the second slot</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>equipedWeapon2</code> - the weapon</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/logic/player/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
